Ryzom - Feature # 795

Status: Closed Priority: Normal
Author: kaetemi Category: NeL: Sound
Created: 02/06/2010 Assignee: kaetemi
Updated: 04/12/2012 Due date: 04/11/2012
Subiject: OGG Sound Source

Description

Implement OGG Vorbis sound sources on top of the #787 streaming sound sources, so that .sound files may refer to .ogg files in the

application georges sheets data. This file format support is intended only for long audio files such as music and dialogues, and should

not be used for frequently played short sound samples.

Note: Support for builtin music playback in NLSOUND is to be limited to the OGG Vorbis file format, as is currently a common way of
handling music and large audio files such as dialogues in modern game engines. Other formats should be handled by a possible
future seperate library which uses OS provided functionality (such as DirectShow or GStreamer) to decode multimedia files, and play

these trough sound sources and/or video textures.

Dependencies:

NLSOUND: libvorbis.lib libogg.lib libvorbisfile.lib (already present in the dependency packages)

History

#1 - 09/29/2010 09:48 pm - kervala

- Project changed from NeL to Ryzom
- Category deleted (Sound)

- Target version deleted (0.8.0)

#2 - 04/11/2012 11:41 am - kaetemi

- Due date set to 04/11/2012

- Category set to NeL: Sound

- Status changed from New to Assigned
- Target version set to Version 0.9.0

- % Done changed from 30 to 70

#3 - 04/11/2012 05:46 pm - kaetemi
- Status changed from Assigned to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:30b7ef104d3c.

#4 - 04/12/2012 12:39 am - kaetemi

Applied in changeset commit:3ba17dd79038.

#5 - 04/12/2012 12:39 am - kaetemi

Applied in changeset commit:5a689dcb3813.
#6 - 04/12/2012 07:37 pm - kaetemi
- Status changed from Resolved to Closed
